---
title: BluetoothAdvertisingData.appearance
slug: Web/API/BluetoothAdvertisingData/appearance
tags:
  - API
  - Bluetooth
  - BluetoothAdvertisingData
  - Non-standard
  - Obsolete
  - Property
  - Reference
  - appearance
---
<div>{{APIRef("Bluetooth API")}}{{Non-standard_Header}}{{Obsolete_Header}}</div>

<p>The <strong><code>appearance</code></strong> read-only property of the {{DOMxRef('BluetoothAdvertisingData')}} interface returns one of the values defined by the <code>org.bluetooth.characteristic.gap.appearance</code> characteristic.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>appearance</em> = <em>BluetoothAdvertisingData</em>.appearance;</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.BluetoothAdvertisingData.appearance")}}</p>
</div>
